#
# spec file for package perl-Term-Size-Perl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Term-Size-Perl
Version:        0.031
Release:        2.16
%define cpan_name Term-Size-Perl
Summary:        Perl extension for retrieving terminal size (Perl version)
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Term-Size-Perl/
Source0:        https://cpan.metacpan.org/authors/id/F/FE/FERREIRA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         reproducible.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder)
%{perl_requires}

%description
Yet another implementation of 'Term::Size'. Now in pure Perl, with the
exception of a C probe run on build time.

%prep
%setup -q -n %{cpan_name}-%{version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Mon Jun 21 2021 Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to override build date (boo#1047218)
* Thu Feb 15 2018 coolo@suse.com
- updated to 0.031
  see /usr/share/doc/packages/perl-Term-Size-Perl/Changes
  0.031 Wed Feb 14 2018
  - Makefile.PL: add Test::Pod{,::Coverage} as "develop" prereqs
  - Enclose GitHub issues link in a link
  - Don't mention deprecated Term::Size::Unix
  0.030_0 Tue Feb 13 2018
  - rewrite Makefile.PL
  - proper POD for Term::Size::Perl::Params (CPAN RT#74219)
  - fix POD typos (CPAN RT#74219)
  - put VERSION in quotes
  - t/99_pod.t: only if RELEASE_TESTING
  - t/98_pod-coverage.t: only if RELEASE_TESTING
  - document that GitHub issues are preferred to report bugs
* Tue May 30 2017 coolo@suse.com
- initial package 0.029
  * created by cpanspec 1.78.08
